Bug 2118587 (CVE-2022-2963) - CVE-2022-2963 jasper: memory leaks in function cmdopts_parse
Summary: CVE-2022-2963 jasper: memory leaks in function cmdopts_parse
Keywords:
Status: NEW
Alias: CVE-2022-2963
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2118589 2118590 2120654 2120655 2120656
Blocks: 2113812
TreeView+ depends on / blocked
 
Reported: 2022-08-16 08:16 UTC by TEJ RATHI
Modified: 2022-11-03 08:01 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability found in jasper. A memory leak bug occurs in the cmdopts_parse function, possibly causing a crash or segmentation fault.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Comment 1 TEJ RATHI 2022-08-16 08:19:49 UTC
Created jasper tracking bugs for this issue:

Affects: fedora-all [bug 2118589]


Created mingw-jasper tracking bugs for this issue:

Affects: fedora-all [bug 2118590]

Comment 3 Emilio Pozuelo Monfort 2022-10-21 10:44:45 UTC
Hi,

The memory leaks happen when cmdline parsing fail, right before calling badusage(), which calls exit(EXIT_FAILURE). Thus from what I can see, the impact of the memory leak is nonexistent, because the process is terminating anyway. Is there something I am missing, or should this CVE be rejected?


Note You need to log in before you can comment on or make changes to this bug.